---
title: Document.rootElement
slug: Web/API/Document/rootElement
tags:
  - API
  - DOM
  - Deprecated
  - Document
  - Obsolete
  - Property
  - Reference
  - SVG
  - root
---
<div>{{ApiRef("DOM")}}{{Deprecated_header}} {{obsolete_header}}</div>

<p><strong><code>Document.rootElement</code></strong> returns the {{domxref("Element")}} that is the root element of the {{domxref("document")}} if it is an {{SVGElement("svg")}} element, otherwise <code>null</code>. It is deprecated in favor of {{domxref("Document.documentElement")}}, which returns the root element for all documents.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <var>element</var> = document.rootElement
</pre>

<h2 id="Notes">Notes</h2>

<p>If the document is a non-empty SVG document, then the <code>rootElement</code> will be an {{domxref("SVGSVGElement")}}, identical to the <code>documentElement</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2','struct.html#__svg__SVGDocument__rootElement','SVGDocument.rootElement')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Deprecated</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1','struct.html#__svg__SVGDocument__rootElement','SVGDocument.rootElement')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
